petsc-3.4.2 2013-07-02

# MatSetStencil

Sets the grid information for setting values into a matrix via MatSetValuesStencil()

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatSetStencil(Mat mat,PetscInt dim,const PetscInt dims[],const PetscInt starts[],PetscInt dof)

Not Collective

### Input Parameters

| mat | - the matrix
| dim | - dimension of the grid 1, 2, or 3
| dims | - number of grid points in x, y, and z direction, including ghost points on your processor
| starts | - starting point of ghost nodes on your processor in x, y, and z direction
| dof | - number of degrees of freedom per node

Inspired by the structured grid interface to the HYPRE package (www.llnl.gov/CASC/hyper)

For matrices generated with DMCreateMatrix() this routine is automatically called and so not needed by the user.

### See Also

MatSetOption(), MatAssemblyBegin(), MatAssemblyEnd(), MatSetValuesBlocked(), MatSetValuesLocal()
MatSetValues(), MatSetValuesBlockedStencil(), MatSetValuesStencil()

Level:beginner
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex48.c.html